package com.tommymacwilliam.androidwalkthroughapp2;

import android.app.Activity;
import android.os.Bundle;
import android.view.*;
import android.widget.*;

public class AndroidWalkthroughApp2 extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
    	// show menu when menu button is pressed
    	MenuInflater inflater = getMenuInflater();
    	inflater.inflate(R.menu.options_menu, menu);
    	return true;
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
    	// display a message when a button was pressed
    	String message = "";
    	if (item.getItemId() == R.id.option1) {
    		message = "You selected option 1!";
    	}
    	else if (item.getItemId() == R.id.option2) {
    		message = "You selected option 2!";
    	}
    	else {
    		message = "Why would you select that!?";
    	}
    	
    	// show message via toast
    	Toast toast = Toast.makeText(this, message, Toast.LENGTH_LONG);
    	toast.show();
    	
    	return true;
    }
}